package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 综合查询-数据库返回结果
 */
public class GeneralQueryDataVo {

    // 站点
    private String siteId;
    private String deviceId;
    private String valueDate;
    private Object pointValue;
    private String parentDeviceId;

    //箱线图数据
    /** 最小值(Minimum) */
    private BigDecimal min;
    /** 第一四分位数(Q1) */
    private BigDecimal q1;
    /** 中位数(Median/Q2) */
    private BigDecimal median;
    /** 第三四分位数(Q3) */
    private BigDecimal q3;
    /** 最大值(Maximum) */
    private BigDecimal max;

    public GeneralQueryDataVo() {
    }

    public GeneralQueryDataVo(String siteId, String deviceId, String valueDate, String parentDeviceId, BigDecimal min, BigDecimal q1, BigDecimal median, BigDecimal q3, BigDecimal max) {
        this.siteId = siteId;
        this.deviceId = deviceId;
        this.valueDate = valueDate;
        this.parentDeviceId = parentDeviceId;
        this.min = min;
        this.q1 = q1;
        this.median = median;
        this.q3 = q3;
        this.max = max;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getValueDate() {
        return valueDate;
    }

    public void setValueDate(String valueDate) {
        this.valueDate = valueDate;
    }

    public Object getPointValue() {
        return pointValue;
    }

    public void setPointValue(Object pointValue) {
        this.pointValue = pointValue;
    }

    public String getParentDeviceId() {
        return parentDeviceId;
    }

    public void setParentDeviceId(String parentDeviceId) {
        this.parentDeviceId = parentDeviceId;
    }

    public BigDecimal getMin() {
        return min;
    }

    public void setMin(BigDecimal min) {
        this.min = min;
    }

    public BigDecimal getQ1() {
        return q1;
    }

    public void setQ1(BigDecimal q1) {
        this.q1 = q1;
    }

    public BigDecimal getMedian() {
        return median;
    }

    public void setMedian(BigDecimal median) {
        this.median = median;
    }

    public BigDecimal getQ3() {
        return q3;
    }

    public void setQ3(BigDecimal q3) {
        this.q3 = q3;
    }

    public BigDecimal getMax() {
        return max;
    }

    public void setMax(BigDecimal max) {
        this.max = max;
    }
}
